跳转至

数据统计接口

POST 查询CC攻击数据

POST /prod-api/cdn/layer7/statistic/v2/describeL7CCAttack

Body 请求参数

{
  "action": [
    {
      "metricName": "accessTrend"
    }
  ],
  "interval": "5m",
  "domains": [],
  "params": {
    "beginTime": "2026-05-15 11:01:30",
    "endTime": "2026-05-18 11:01:30"
  }
}

请求参数

名称 位置 类型 必选 中文名 说明
Authorization header string -
body body object -
» action body [object] action -
»» metricName body string metricName 查询的统计指标,取值有:
»» pageNo body integer(int32) 当前页数 -
»» pageSize body integer(int32) 每页显示条目个数 -
» domains body [string] -
» interval body string 统计粒度 统计粒度,取值有:
» otherFilter body [StatisticOtherFilterVO] -
»» StatisticOtherFilterVO body StatisticOtherFilterVO StatisticOtherFilterVO -
»»» oneVal body string -
»»» threeVal body [string] -
»»» twoVal body string -
» params body object -
»» beginTime body string 开始时间 -
»» endTime body string 结束时间 -

详细说明

»» metricName: 查询的统计指标,取值有: accessTrend:表示请求数据趋势图;

» interval: 统计粒度,取值有: 1m:1分钟; 5m:5分钟; 1h:1小时; 1d:1天。

返回示例

200 Response

{
  "msg": "成功",
  "code": 200,
  "data": [
    {
      "metricName": "accessTrend_drop",
      "objectArrayList": [
        [1778868900000, 0],
        [1778869200000, 0],
        [1778869500000, 0],
        [1778869800000, 0],
        [1778870100000, 0],
        [1778999100000, 0],
        [1778999400000, 0],
        [1778999700000, 1]
      ],
      "total": 57
    }
  ]
}

返回结果

状态码 状态码含义 说明 数据模型
200 OK OK Inline
201 Created Created -
401 Unauthorized Unauthorized -
403 Forbidden Forbidden -
404 Not Found Not Found -

返回数据结构

状态码 200

名称 类型 必选 约束 中文名 说明
» msg string true - -
» code integer true - -
» data [object] true - 数据 -
»» metricName string true - metricName metricName取值有:
accessTrend_drop:表示拦截;
accessTrend_access:表示请求数
»» objectArrayList [array] true - 返回数据列表 -
»» total integer true - 总数 -

数据模型

Action

{
  "metricName": "string",
  "pageNo": 0,
  "pageSize": 0
}

Action

属性

名称 类型 必选 约束 中文名 说明
metricName string true - metricName -
pageNo integer(int32) false - 当前页数 -
pageSize integer(int32) false - 每页显示条目个数 -

StatisticOtherFilterVO

{
  "oneVal": "string",
  "threeVal": ["string"],
  "threeVals": ["string"],
  "twoVal": "string"
}

StatisticOtherFilterVO

属性

名称 类型 必选 约束 中文名 说明
oneVal string false - -
threeVal [string] false - -
twoVal string false - -